/// class PD.Manage.Modules.ObjectModel.EntityTypeRelationshipDialogCommand

PD.Manage.Modules.ObjectModel.EntityTypeRelationshipDialogCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "entity-type/relationships-dialog");
        this.props("enabled", true);
        this.props("icon", PD.Path.to16x16("elements_hierarchy.png"));
        this.props("label", "Relationships");
        this.props("tooltip", "Open the Entity Type Relationships dialog.");
    },

    execute: function (e) {
        this._super(e);
        ProspectDirector.Modules.EntityTypes.Dialog.EntityTypeRelationships.show();
    }

});